summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Hoffmann <hoffie@gentoo.org>2008-05-25 09:27:48 +0000
committerChristian Hoffmann <hoffie@gentoo.org>2008-05-25 09:27:48 +0000
commit2ffe1e26f2b09eaa559c72553251cefe43f745e4 (patch)
treee01f54ee0c3292d142eb7e58af1835a746c22727 /eclass/php-common-r1.eclass
parentVersion bump. (diff)
downloadgentoo-2-2ffe1e26f2b09eaa559c72553251cefe43f745e4.tar.gz
gentoo-2-2ffe1e26f2b09eaa559c72553251cefe43f745e4.tar.bz2
gentoo-2-2ffe1e26f2b09eaa559c72553251cefe43f745e4.zip
allow for using new-style postgresql packages in php, bug 222933, thanks to dev-zero for the assistance
Diffstat (limited to 'eclass/php-common-r1.eclass')
-rw-r--r--eclass/php-common-r1.eclass27
1 files changed, 18 insertions, 9 deletions
diff --git a/eclass/php-common-r1.eclass b/eclass/php-common-r1.eclass
index e70a182fb76c..af6bce2db4dd 100644
--- a/eclass/php-common-r1.eclass
+++ b/eclass/php-common-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-common-r1.eclass,v 1.13 2008/03/03 17:05:06 jokey Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-common-r1.eclass,v 1.14 2008/05/25 09:27:48 hoffie Exp $
# Based on robbat2's work on the php4 sapi eclass
# Based on stuart's work on the php5 sapi eclass
@@ -210,14 +210,23 @@ php_check_oracle_8() {
php_check_pgsql() {
if use "postgres" \
- && use "apache2" && use "threads" \
- && has_version ">=dev-db/libpq-8.1.3-r1" \
- && ! built_with_use ">=dev-db/libpq-8.1.3-r1" "threads" ; then
- eerror
- eerror "You must build dev-db/libpq with the 'threads' USE flag"
- eerror "turned on if you want to build PHP with threads support!"
- eerror
- die "Rebuild dev-db/libpq with 'threads' USE flag enabled"
+ && use "apache2" && use "threads" ; then
+ if has_version ">=dev-db/libpq-8.1.3-r1" \
+ && ! built_with_use ">=dev-db/libpq-8.1.3-r1" "threads" ; then
+ eerror
+ eerror "You must build dev-db/libpq with USE=threads"
+ eerror "if you want to build PHP with threads support!"
+ eerror
+ die "Rebuild dev-db/libpq with USE=threads"
+ fi
+ local pgsql_ver=$(eselect postgresql show)
+ if ! built_with_use "=dev-db/postgresql-base-${pgsql_ver}*" threads ; then
+ eerror
+ eerror "You must build =dev-db/postgresql-base-${pgsql_ver} with USE=threads"
+ eerror "if you want to build PHP with threads support!"
+ eerror
+ die "Rebuild =dev-db/postgresql-base-${pgsql_ver} with USE=threads"
+ fi
fi
}